Package org.pushingpixels.flamingo.internal.utils

# Class KeyTipManager

java.lang.Object
org.pushingpixels.flamingo.internal.utils.KeyTipManager

public class KeyTipManager extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`KeyTipManager.HasNextKeyTipChain`
Annotation to mark a command button that shows UI content with associated keytips on clicking its action area.
`class`
`KeyTipManager.KeyTipChain`
`static class`
`KeyTipManager.KeyTipEvent`
`class`
`KeyTipManager.KeyTipLink`
`static interface`
`KeyTipManager.KeyTipLinkTraversal`
`static interface`
`KeyTipManager.KeyTipListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EventListenerList`
`listenerList`
`protected BlockingQueue<Character>`
`processingQueue`
`protected org.pushingpixels.flamingo.internal.utils.KeyTipManager.ProcessingThread`
`processingThread`

## Method Summary

Modifier and Type
Method
Description
`void`
`addKeyTipListener(KeyTipManager.KeyTipListener keyTipListener)`
`static KeyTipManager`
`defaultManager()`
`protected void`
`fireKeyTipsHidden(JRibbonFrame ribbonFrame)`
`protected void`
`fireKeyTipsShown(JRibbonFrame ribbonFrame)`
`KeyTipManager.KeyTipChain`
`getCurrentlyShownKeyTipChain()`
`Collection<KeyTipManager.KeyTipLink>`
`getCurrentlyShownKeyTips()`
`void`
`handleKeyPress(char keyChar)`
`void`
`hideAllKeyTips()`
`boolean`
`isShowingKeyTips()`
`void`
`refreshCurrentChain()`
`void`
`removeKeyTipListener(KeyTipManager.KeyTipListener keyTipListener)`
`void`
`showPreviousChain()`
`void`
`showRootKeyTipChain(JRibbonFrame ribbonFrame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### listenerList

protected EventListenerList listenerList

### processingQueue

protected BlockingQueue<Character> processingQueue

### processingThread

protected org.pushingpixels.flamingo.internal.utils.KeyTipManager.ProcessingThread processingThread

## Method Details

### defaultManager

public static KeyTipManager defaultManager()

### isShowingKeyTips

public boolean isShowingKeyTips()

### hideAllKeyTips

public void hideAllKeyTips()

### showRootKeyTipChain

public void showRootKeyTipChain(JRibbonFrame ribbonFrame)

### getCurrentlyShownKeyTips

public Collection<KeyTipManager.KeyTipLink> getCurrentlyShownKeyTips()

### getCurrentlyShownKeyTipChain

public KeyTipManager.KeyTipChain getCurrentlyShownKeyTipChain()

### showPreviousChain

public void showPreviousChain()

### handleKeyPress

public void handleKeyPress(char keyChar)

### addKeyTipListener

public void addKeyTipListener(KeyTipManager.KeyTipListener keyTipListener)

### removeKeyTipListener

public void removeKeyTipListener(KeyTipManager.KeyTipListener keyTipListener)

### fireKeyTipsShown

protected void fireKeyTipsShown(JRibbonFrame ribbonFrame)

### fireKeyTipsHidden

protected void fireKeyTipsHidden(JRibbonFrame ribbonFrame)

### refreshCurrentChain

public void refreshCurrentChain()